hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Purtell (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (HBASE-11091) Some HBase tools are incompatible with Hadoop 2.3.0
Date Mon, 28 Apr 2014 17:26:15 GMT

     [ https://issues.apache.org/jira/browse/HBASE-11091?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Andrew Purtell resolved HBASE-11091.
------------------------------------

       Resolution: Invalid
    Fix Version/s:     (was: 0.99.0)

See the part of the HBase book where we say that you need to recompile HBase for the version
of Hadoop 2 that you are using if different from what we build against to ship. https://hbase.apache.org/book/configuration.html#basic.prerequisites
, in section 2.1.3, "Replace the Hadoop Bundled With HBase!"

> Some HBase tools are incompatible with Hadoop 2.3.0
> ---------------------------------------------------
>
>                 Key: HBASE-11091
>                 URL: https://issues.apache.org/jira/browse/HBASE-11091
>             Project: HBase
>          Issue Type: Bug
>          Components: hadoop2
>    Affects Versions: 0.98.1
>            Reporter: German Florez-Larrahondo
>
> Running  Hbase utilities from 0.98.1-hadoop2 with Hadoop 2.3.0 hihgligh incompatibility
of client versions. For example "hbase org.apache.hadoop.hbase.PerformanceEvaluation  randomWrite
5" fails at the end with "No enum constant org.apache.hadoop.mapreduce.JobCounter.MB_MILLIS_REDUCES"
> This seem to be related with https://issues.apache.org/jira/browse/HBASE-10601 and https://issues.apache.org/jira/browse/MAPREDUCE-5831



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message